<html>
	<head>
		<title>Software Engineering Code of Ethics</title>
	</head>

	<body>
		<em>Science and Engineering Ethics(2001) 7, 231-238</em><hr>
		<h1>Software Engineering Code of Ethics and Professional Practice</h1>
		<h2>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional Practices<hr>
		<h3 style="font-weight: normal;"><strong>Keywords:</strong> code of ethics, professional responsibility, software engineerings</h3>

		<h3>PREAMBLE</h3>
		<p>The short verson of the code summarizes aspirations at a high level of abstraction. The clauses that are incuded in the full versionn give examples and details of how these aspirations change the way we act as software engineering professionals. Without aspirations, the details can become legalistic and tedious; without details; the aspirations can become high sounding but empty; together, the aspirations and the details form a cohesive code.</p>

		<p>Softaware engineers shall commit themselves to making the analysis, specification, design, development, testing and maintenance of software a benificial and respected profession. In accordance with their commitment to the health, safety and welfare of the public, sofware engineers shall adhere to the following eigtht Principles:</p>

		<h3>PRINCIPLES</h3>
			<ol>
				<li><em>Public. </em>Software engineers shall act consistently with the public interest.</li>
				<li><em>Client and employer. </em>Software engineers shall act in a manner that is in the bst of nterests of their client and employer, consistent with public interest.</li>
				<li><em>Product. </em>Software engineers shall ensure that their products and related modifications meet highest professional standards possible.</li>
				<li><em>Judgment. </em>Software engineers shall maintain integrity and independence in their professional judgment.</li>
				<li><em>Management. </em>Software engineering managers and leaders shall subscribe to and promote an ethical approach to the management of software development and maintenance.</li>
				<li><em>Profession. </em>Software engineers shall advance the integrity and reputation of the profession consistent with the public interest.</li>
				<li><em>Colleagues. </em>Software engineers shall be fair to and supportive of their colleagues.</li>
				<li><em>Self. </em>Software engineers shall participate in lifelong learning regarding the practice of their profession and shall promote an ethical approach to the practice of the profession.</li>
			</ol>

	</body>
</html>